Google Cloud
probe Cloud Run

# list_docker_image_tags

List all tags of a container image

Run it now
View details

Type | probe
Module | chaosgcp.artifact.probes
Name | list_docker_image_tags
Return | list

Usage

JSON

    {
      "name": "list-docker-image-tags",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgcp.artifact.probes",
        "func": "list_docker_image_tags",
        "arguments": {
          "repository": "",
          "package_name": ""
        }
      }
    }

YAML

    name: list-docker-image-tags
    provider:
      arguments:
        package_name: ''
        repository: ''
      func: list_docker_image_tags
      module: chaosgcp.artifact.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
repository | string |  | Yes | Repository | Name of the repository
package_name | string |  | Yes | Container Name | Name of the container in the repository

Signature

    def list_docker_image_tags(
            repository: str,
            package_name: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
        pass

## Related starters

- Google Cloud
  action Cloud Run

  ## `create_service`

  Creates a Cloud Run service
- Google Cloud
  probe Cloud Run

  ## `list_service_revisions`

  List all the Cloud Run service revisions
- Google Cloud
  action Cloud Run

  ## `delete_service`

  Deletes a Cloud Run service